Skip to main content
https://.thoughtindustries.com

Clients

Returns a paginated list of clients, including each client's courses, learning paths, licenses, appearance settings, and feature flags

Returns a paginated list of clients, including each client's courses, learning paths, licenses, appearance settings, and feature flags.

GEThttps://example.thoughtindustries.com/incoming/v2/clients

Example request

curl "https://example.thoughtindustries.com/incoming/v2/clients" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
querystringNoqueryFilters clients by a search string matched against client name or other indexed fields.
sortstringNoqueryField by which to sort the results, such as name or createdAt.
pageintegerNoqueryPage number to retrieve for paginated results. Defaults to the first page.
countintegerNoqueryNumber of clients to return per page.

Example response

{
  "data": {
    "Clients": {
      "pageInfo": {
        "perPage": 0,
        "currentPage": 0,
        "total": 0,
        "hasMore": true
      },
      "aggregations": [
        {
          "key": "string",
          "label": "string",
          "buckets": [
            {
              "query": "string",
              "value": "string",
              "label": "string",
              "description": "string",
              "count": 0
            }
          ]
        }
      ],
      "clients": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "string",
          "schoolName": "string",
          "courses": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "createdAt": "2024-01-01T00:00:00.000Z",
              "updatedAt": "2024-01-01T00:00:00.000Z",
              "slug": "example-slug",
              "status": "draft",
              "title": "string",
              "sessionIsTitled": true,
              "sampleLesson": {
                "...": "..."
              },
              "sampleLessonId": "00000000-0000-0000-0000-000000000000",
              "sections": [
                {
                  "...": "..."
                }
              ],
              "appearanceBlock": "00000000-0000-0000-0000-000000000000",
              "appearanceHash": "string",
              "paywallsBlock": "00000000-0000-0000-0000-000000000000",
              "termsBlock": "00000000-0000-0000-0000-000000000000",
              "confirmationBlock": "00000000-0000-0000-0000-000000000000",
              "courseStartDate": "2024-01-01T00:00:00.000Z",
              "courseEndDate": "2024-01-01T00:00:00.000Z",
              "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
              "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
              "gracePeriodEndDate": "2024-01-01T00:00:00.000Z",
              "seatsLimit": 0,
              "waitlistCount": 0,
              "seatsLimitMet": true,
              "waitlistingEnabled": true,
              "waitlistingTriggered": true,
              "taxable": true,
              "purchasable": true,
              "taxCategory": "00000000-0000-0000-0000-000000000000",
              "fulfillmentCenter": "00000000-0000-0000-0000-000000000000",
              "courseGroup": {
                "...": "..."
              },
              "syllabusTitlesEnabled": true,
              "galleryEnabled": true,
              "workbookEnabled": true,
              "linkedWorkbookEnabled": true,
              "linkedWorkbookSkipEnabled": true,
              "superquizEnabled": true,
              "discussionsEnabled": true,
              "resourcesEnabled": true,
              "meetingsOverviewEnabled": true,
              "recurrenceRule": "string",
              "recurrence": {},
              "readableRecurrenceString": "string",
              "instructorAccessEnabled": true,
              "instructorEmails": [
                "string"
              ],
              "freeWithRegistration": true,
              "priceInCents": 0,
              "instructorAccessPriceInCents": 0,
              "suggestedRetailPriceInCents": 0,
              "alternativePricingType": "membership",
              "alternativePricingRef": 0,
              "accessDays": 0,
              "showProgress": true,
              "annotationsEnabled": true,
              "forceLinearProgress": true,
              "completionTimePerPage": 0,
              "askLearnerPassword": true,
              "roster": true,
              "topicGroupId": "00000000-0000-0000-0000-000000000000",
              "sku": "string",
              "prerequisiteCourses": [
                {
                  "...": "..."
                }
              ],
              "prerequisiteLearningPaths": [
                {
                  "...": "..."
                }
              ],
              "parentCourseId": "00000000-0000-0000-0000-000000000000",
              "isChild": true,
              "hasMultipleCurrencies": true,
              "prices": [
                {
                  "...": "..."
                }
              ],
              "enrollmentActive": true,
              "waitlistActive": true,
              "webinarDates": [
                {
                  "...": "..."
                }
              ],
              "webinarTimeZone": "string",
              "meetings": [
                {
                  "...": "..."
                }
              ],
              "inPersonEventInfo": {
                "...": "..."
              },
              "currentUserHasAccess": true,
              "location": {
                "...": "..."
              },
              "displayMap": true,
              "publishDate": "2024-01-01T00:00:00.000Z",
              "isActive": true,
              "futurePublishDate": "2024-01-01T00:00:00.000Z",
              "balanceRequirement": 0,
              "awardClaimingOptions": [
                {
                  "...": "..."
                }
              ],
              "availabilityStatus": "string",
              "embeddedEnabled": true,
              "displayResults": true,
              "bulkPurchasingEnabled": true,
              "seatTiers": [
                {
                  "...": "..."
                }
              ],
              "seatPackages": [
                {
                  "...": "..."
                }
              ],
              "lastTierPriceInCents": 0,
              "webinarId": "string",
              "hasChildren": true,
              "customFields": {},
              "kind": "microCourse",
              "rosterSubmittedDate": "2024-01-01T00:00:00.000Z",
              "finalAssessment": "string",
              "scormCollectUserDetails": true,
              "seatsUsedCount": 0,
              "seatsAllocatedCount": 0,
              "webinarDetails": {
                "...": "..."
              },
              "showSyllabusWhileUnenrolled": true,
              "topicGroup": {
                "...": "..."
              },
              "courseGroupTitle": "string",
              "currentUserDueDate": "2024-01-01T00:00:00.000Z"
            }
          ],
          "learningPaths": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "layoutId": "00000000-0000-0000-0000-000000000000",
              "layout": {
                "...": "..."
              },
              "learnerLayoutId": "00000000-0000-0000-0000-000000000000",
              "learnerLayout": {
                "...": "..."
              },
              "name": "string",
              "sku": "string",
              "ribbon": {
                "...": "..."
              },
              "slug": "example-slug",
              "client": {
                "...": "..."
              },
              "createdAt": "2024-01-01T00:00:00.000Z",
              "metaTitle": "string",
              "metaDescription": "string",
              "asset": "https://example.com/path",
              "assetAltText": "string",
              "assetLibraryId": "00000000-0000-0000-0000-000000000000",
              "detailAsset": "https://example.com/path",
              "detailAssetAltText": "string",
              "detailAssetLibraryId": "00000000-0000-0000-0000-000000000000",
              "heroAsset": "https://example.com/path",
              "heroAssetAltText": "string",
              "priceInCents": 0,
              "suggestedRetailPriceInCents": 0,
              "alternativePricingType": "membership",
              "alternativePricingRef": 0,
              "accessDays": 0,
              "shortDescription": "string",
              "longDescription": "string",
              "tags": [
                {
                  "...": "..."
                }
              ],
              "status": "draft",
              "freeWithRegistration": true,
              "hasMultipleCurrencies": true,
              "prices": [
                {
                  "...": "..."
                }
              ],
              "customFields": {},
              "contentType": "string",
              "confirmationHtml": "string",
              "startDate": "2024-01-01T00:00:00.000Z",
              "endDate": "2024-01-01T00:00:00.000Z",
              "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
              "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
              "milestones": [
                {
                  "...": "..."
                }
              ],
              "availabilityStatus": "string",
              "currentUserStartActionDate": "2024-01-01T00:00:00.000Z",
              "isPayAsYouGo": true,
              "language": "string",
              "futurePublishDate": "2024-01-01T00:00:00.000Z",
              "purchasable": true,
              "taxable": true,
              "fulfillmentCenter": {
                "...": "..."
              },
              "taxCategory": "00000000-0000-0000-0000-000000000000",
              "currentUserPendingCertificate": true,
              "currentUserEarnedCertificate": true,
              "currentUserDueDate": "2024-01-01T00:00:00.000Z",
              "bulkPurchasingEnabled": true,
              "seatTiers": [
                {
                  "...": "..."
                }
              ],
              "seatPackages": [
                {
                  "...": "..."
                }
              ],
              "lastTierPriceInCents": 0,
              "prerequisiteCourses": [
                {
                  "...": "..."
                }
              ],
              "prerequisiteLearningPaths": [
                {
                  "...": "..."
                }
              ],
              "resourceType": "string",
              "seatsLimit": 0,
              "videoAsset": "00000000-0000-0000-0000-000000000000",
              "relatedQuery": "string",
              "relatedQuerySignature": "string",
              "source": "string",
              "authors": [
                "string"
              ],
              "publishDate": "2024-01-01T00:00:00.000Z",
              "externalDetailUrl": "string",
              "externalConditionalRedirectUrl": "string",
              "kind": "string",
              "tabs": {
                "...": "..."
              },
              "updatedAt": "2024-01-01T00:00:00.000Z",
              "dueDate": "2024-01-01T00:00:00.000Z",
              "dueDateDays": 0,
              "allowUnorderedMilestoneAccess": true,
              "authoringClient": "00000000-0000-0000-0000-000000000000",
              "isTemplate": true,
              "externalPurchaseUrl": "string"
            }
          ],
          "learningPathIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "courseIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "courseTags": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "label": "string",
              "isFolder": true,
              "updatedAt": "2024-01-01T00:00:00.000Z",
              "description": "string"
            }
          ],
          "courseTagIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "purchasableContentIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "purchasableTagIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "purchasableTags": [
            {
              "id": "00000000-0000-0000-0000-000000000000",
              "label": "string",
              "isFolder": true,
              "updatedAt": "2024-01-01T00:00:00.000Z",
              "description": "string"
            }
          ],
          "licenseEndDate": "2024-01-01T00:00:00.000Z",
          "primaryLicense": {
            "id": "00000000-0000-0000-0000-000000000000",
            "name": "string",
            "label": "string",
            "sku": "string",
            "client": {
              "...": "..."
            },
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "accessDays": 0,
            "expirationDate": "2024-01-01T00:00:00.000Z",
            "seatsLimit": 0,
            "dashboardLayoutId": "00000000-0000-0000-0000-000000000000",
            "enableBranding": true,
            "schoolName": "string",
            "isDefault": true,
            "learningPaths": [
              {
                "...": "..."
              }
            ],
            "learningPathIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "appearance": {
              "...": "..."
            },
            "courses": [
              {
                "...": "..."
              }
            ],
            "courseIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "courseTags": [
              {
                "...": "..."
              }
            ],
            "courseTagIds": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "parentLicense": {
              "...": "..."